Majesty 7 String Gold with Piezo

$25.00Price
  • For use exclusively with Final Cut Pro. This plugin requires FCP/FCPX ver. 10.4 and above and OS: High Sierra or newer.

    That said, it will work on earlier versions, however we can not guarantee compatibility with earlier systems than stated above. As this is a digital product all purchases are final and we do not offer refunds.